/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2006, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.soa.bpel.runtime.engine.ode;

import java.net.URL;

import javax.xml.namespace.QName;

import org.jboss.soa.bpel.runtime.ws.WSDLReference;

/**
 * 
 * @author Kurt T Stam <kurt.stam@jboss.com>
 *
 */
public interface UDDIRegistration {	
	/**
	 * Registers a BPEL ServiceEndpointReference (EPR) into a UDDI registry using the jUDDI client code.
	 * If the serviceKey does not already exist we register the service along with the EPR.
	 * 
	 * @param EPR
	 * @param metaData
	 * @param wsdlRef
	 */
	public void registerEPR(String serviceName, String portName, URL accessUrl);
	/**
	 * UnRegisters the binding from the UDDI Registry. 
	 * @param QName of the service
	 * @param port name
	 */
	public void unRegisterEPR(QName service, String port);
	/**
	 * 
	 * @param service
	 * @param port
	 */
	public WSDLReference lookupWSDL(QName serviceQName, String portName);
}
